Subject: Re: [PATCH v4 4/5] MyFirstObjectWalk: fix description for counting omitted objects

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Mar 2024 13:24:47 -0700

Dirk Gouders <[email-masked]> writes:

> Oh yes, you are right (as far as I can say): I would change this to
> something like:
>
> "Asking for this list of filtered objects may cause performance
> implications, however, because in this case, despite filtering objects,
> the possibly much larger set of all reachable objects must be processed
> in order to populate that list."

Better, but the verb "cause" applied to "performance implications"
feels funny.  It may "have" implications.  Alternatively, it may
"cause" degradations.  As implications can be both positive or
negative, it would be better to say "cause performancedegradations"
when you know if it is negative.

> (Later in the document, it is suggested to do timing with the two
> versions, which kind of follows up on the performance impact that is
> focused on, here.  So, this doesn't remain an unresolved detail.)

Great.

Thanks.